package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/23.
 */
public class DicResourceShareType {

    public static final String NOT_SHARE = "不予共享";
    public static final String CONDITIONAL = "有条件共享";
    public static final String UNCONDITIONAL = "无条件共享";

    private static DicResourceShareType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceShareType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(NOT_SHARE, NOT_SHARE);
        dicMap.put(CONDITIONAL, CONDITIONAL);
        dicMap.put(UNCONDITIONAL, UNCONDITIONAL);
    }

    public static DicResourceShareType getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceShareType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
